import mysql from 'mysql2/promise';

const pool = mysql.createPool({
  host: import.meta.env.VITE_DB_HOST || 'db.pandem.fr',
  user: import.meta.env.VITE_DB_USER || 'proxdash',
  password: import.meta.env.VITE_DB_PASSWORD || 'proxdash',
  database: import.meta.env.VITE_DB_NAME || 'proxdash',
  waitForConnections: true,
  connectionLimit: 10,
  maxIdle: 10,
  idleTimeout: 60000,
  queueLimit: 0,
});

export default pool;